\name{getAnnotations}
\alias{getAnnotations}
\title{Get annotation information}
\description{
	Get annotation information for a given dataset identifier in Bioconductors AnnotatedDataFrame format.
}
\usage{
getAnnotations(dataset, ...);
}
\arguments{
  \item{dataset}{Valid dataset identifier: the GEO or InSilico DB accession code.}
  \item{...}{ Optional arguments can be passed to the function for more specific requests:
  \describe{
  \item{\code{platform}}{The platform of the chip on which a measurement was done.
A platform is identified by its GEO accession code.}
  \item{\code{curation}}{Specific curation used to annotate a dataset. A curation is identified by a InSilico DB Curation identifier. You can annotate datasets yourself at \url{https://insilicodb.com/app/browse} 
If not defined, the prefered curation of specified dataset will be used.}
	}
  } 
}
\value{
	A Bioconductors AnnotatedDataFrame.
}
\examples{

annot <- getAnnotations("GSE4635");
pData(annot);
##             Anatomical Site  Smoker
## GSM15729    bronchus         never
## GSM104072   bronchus         current
## ...

}