\name{getPlatformList}
\alias{getPlatformList}
\title{Get list of platform identifiers}
\description{
	Get the list of all platform identifiers supported by the package.
}
\usage{
getPlatformList(...);
}
\arguments{
	\item{...}{Optional arguments can be passed to the function for more specific requests:
		\describe{
  		\item{\code{norm}}{Type of normalization to use when pre-processing a dataset. Possible values: "ORIGINAL", "FRMA"[1], "SCAN"[2]. If specified, only datasets for which the given preprocessed data is available are returned.}
		}
	}
}  	
\value{
A list of platform identifiers.
}
\examples{
length(getPlatformList());
## 14
length(getPlatformList(norm="ORIGINAL"));
## 14
length(getPlatformList(norm="FRMA"));
## 6
}
\references{
[1] MN. McCall, BM. Bolstad, and RA. Irizarry, Frozen Robust Multi-Array Analysis (fRMA),
  \emph{Biostatistics}, vol. 11, no. 2, pp. 242-253 , 2008.
  
[2] SR. Piccolo, Y. Sun, JD. Campbell, ME. Lenburg, AH. Bild, and WE. Johnson, A single-sample microarray
  normalization method to facilitate personalized-medicine workflows, \emph{Genomics}, vol. 100, no. 6, pp. 337-344, 2012.
}